*{
    font-family: 'Montserrat', sans-serif
}

:root{
    --link-color: #965f11;
    --nav-color: #141414;
}

body {
    margin: 0;
    padding: 0;
    background: black;
}

.br{
    height: 100px;
}



.pocetna-text{
    color: white;
    font-size: 22px;
    font-weight: 400;
    text-align: center;
}

.pocetna-frizure{
    margin-top: 30px;
    margin-bottom: 20px;
}
.pocetna-frizure h2{
    text-align: center;
    color: white;
    font-size: 35px;
}

.pocetna-grid{
    display: grid;
    grid-template-rows: 1fr 200px 100px;
    grid-template-columns: 1fr 1fr 1fr; 
    margin-left: 120px;
    margin-right: 120px;
    grid-auto-flow: column;
    grid-gap: 20px 50px;
    align-items: center;
    justify-content: center;
}
.pocetna-grid img{
    width: 350px;
    padding-left: 20px;
    padding-right: 20px;
}
.pocetna-kratke-wrap{
    grid-area: 1 / 1 / 2 / 2;
}
.pocetna-duge-wrap{
    grid-area: 1 / 2 / 2 / 3;
}
.pocetna-fade-wrap{
    grid-area: 1 / 3 / 2 / 4;
}

.pocetna-button{
    max-width: 140px;
    margin-right: 15px;
    padding: 15px;
    border-radius: 5px;
    background-color: var(--link-color);
    text-align: center;
    justify-self: center;
}
.pocetna-button a{
    font-size: 18px;
    color: white;
    text-decoration: none;
}
.pocetna-button:hover{
    background-color: #e6931d;
    transform: translateY(-5px);
    transition: 0.3s;
}

.pocetna-opis{
    text-align: center;
    font-size: 18px;
    color: white;
}
.pocetna-opis h3{
    font-weight: 400;
}
.pocetna-opis-kratke{
    grid-area: 2 / 1 / 3 / 2;
}
.pocetna-opis-duge{
    margin-top: -25px;
    grid-area: 2 / 2 / 3 / 3;
}
.pocetna-opis-fade{
    grid-area: 2 / 3 / 3 / 4;
}

.paralela{
    width: 50%;
    height: 1px;
    text-align: center;
    color: gray;
    background-color: gray;
    border-width: 0;
    margin-top: 10px;
}

.header-img{
    position: relative;
    display: inline-block;
}

.uvod-text {
    width: 80%;
    color: white;
    font-weight: 700;
    font-size: 60px;
    position: absolute;
    text-shadow: 4px 4px rgb(55, 55, 55);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.fades{
    background: black;
}

.navbar {
    height: 130px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 50px;
    padding-right: 3%;
    /*box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);*/
    background-color: var(--nav-color) !important;
}


.logo img {
    width: 170px;
    height: auto;
    margin-left: 50px;
}

.nav-links {
    display: flex;
    gap: 20px;
}

.nav-btn:hover, .dropbtn:hover {
    /*box-shadow: 0px 0px 10px rgba(132, 132, 132, 0.627);
    border: solid 0.5px white ;
    background-color: rgb(44, 44, 44); */
    color: white;
    text-decoration: underline;
    transition: 0.5;
}

.nav-btn {
    padding: 10px 20px;
    text-decoration: none;
    color: white; /* White text for contrast */
    transition: background-color 0.3s ease;
}

.nav-btn, .dropbtn{
    margin-top: 10px;
    font-size: 20px;
    text-transform: uppercase;
}

.navbar a, button{
    font-size: 20px;
}


.dropdown-content{
    position: relative;
}

.dropbtn {
    padding: 10px 20px;
    background-color: rgba(0, 0, 0, 0); /* Semi-transparent black for button */
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7); /* Mostly transparent black for dropdown */
    min-width: 160px;
    z-index: 1;
    border-radius: 5px;
}
#pocetna-drop{
    background-color: rgba(0, 0, 0, 0.8);
}

.dropdown-content a {
    padding: 10px;
    display: block;
    text-align: left;
    color: white;
    text-decoration: none;

}

.dropdown-content a:hover {
    background-color: rgba(255, 255, 255, 0.3); /* Semi-transparent white on hover */
    color: white;
    text-decoration: none;
    border: solid 2px white ;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.profile-dropdown{
    padding-right: 15px;
}
.profile-dropdown .dropdown-content {
    right: 0; /* Align dropdown to the right edge */
    left: auto; /* Override the left alignment */
    margin-right: 10px;
}

.profile_img img:hover{
    transform: translateY(-5px);
    transform: scale3d(1.2,1.2,1.2);
    transition: 0.2s ease-in-out;
}

.title{
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}
.title h1{
    font-size: 60px;
    font-weight: 700;
    text-transform: uppercase;
    text-align: center;
    color: white;
}

.barbershop-img{
    width: 100%;
    opacity: 0.4;
}


.opis-str{
    margin-top: 80px;
    margin-left: 150px;
    margin-right: 150px;
    padding: 30px;
    box-sizing: border-box;
    align-items: end;
    justify-content: center;
}

.opis-str aside{
    color: white;
    font-size: 22px;
    text-align: center;
}

.alat-link{
    color: white;
    text-decoration: underline;
}
.alat-link:hover{
    color: white;
}

.fade-link{
    color: white;
    text-decoration: underline;
}
.fade-link:hover{
    transform:  scale(1.3, 1.3) translate(0px, -10px);
    color: white;
}

/* Styles for the grid container */
.grid-container {
    display: grid;
    grid-template-rows: 1fr 200px 1fr 200px 1fr 200px;
    grid-template-columns: 1fr 1fr; 
    grid-gap: 15px 90px;
    margin: 80px;
    grid-auto-flow: column;
}

/*.grid2{
    margin-top: 70px;
    margin-bottom: 200px;
}*/

.haircut-title h2{
    text-align: center;
    color: white;
}

.grid-container p {
    color: white;
    font-size: 20px;
    text-align: center;
    padding-left: 20px;
    padding-right: 20px;
}

.low-fade{
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
}

.mid-fade{
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 2;
    grid-column-end: 3;
}
.opis-low{
    grid-row-start: 2;
    grid-row-end: 3;
    grid-column-start: 1;
    grid-column-end: 2;
    margin-top: 0;
}

.opis-med{
    grid-row-start: 2;
    grid-row-end: 3;
    grid-column-start: 2;
    grid-column-end: 3;
    margin-top: 0;
}

.high-fade{
    grid-row-start: 3;
    grid-row-end: 4;
    grid-column-start: 1;
    grid-column-end: 2;
}

.burst-fade{
    grid-area: 3/2/4/3;
}

.opis-high{
    grid-row-start: 4;
    grid-row-end: 5;
    grid-column-start: 1;
    grid-column-end: 2;
    margin-top: 0;
}

.opis-burst{
    grid-area: 4/2/5/3;
    margin-top: 0;
}

.drop-fade{
    grid-area: 5/1/6/2;
}

.taper-fade{
    grid-area: 5/2/6/3;
}

.opis-drop{
    grid-area: 6/1/7/2;
}
.opis-taper{
    grid-area: 6/2/7/3;
}

/* Styles to fit the carousel within 100px by 100px */
.carousel-inner {
    width: 200px;
    height: 300px;
    overflow: hidden; /* Hide overflowing content */
}

.carousel-item {
    width: 250px;
    height: 150px;
    text-align: center; /* Optional: center content if needed */
}

.carousel-item img {
    /*max-width: 150%;
    max-height: 150%;*/
    height: 280px;
    width:fit-content;
    margin-left: 0;
    margin-right: 0;
    margin-top: 20px;
    margin-bottom: 20px;
    border-radius: 8px;
    /*box-shadow: 0px 0px 15px 10px var(--link-color);*/
}

.left-wrapper{
    width: 100%;
    margin-top: 120px;
    margin-left: 30px;
    margin-right: 30px;
    display: flex;
    align-items: center;
}
.left{
    box-sizing: border-box;
    width: 500px;
    margin-left: 15%;
}
.left-text{
    color: white;
    margin-top: 20px;
    padding-left: 20px;
}
.left h2{
    color: white;
    padding-left: 20px;
}
.left-text-wrapper{
    border-left: solid 10px var(--link-color);
}
.left-wrapper img{
    width: 400px;
    height: 100%;
    max-height: 400px;
    margin-left: 150px;
}

.right-wrapper{
    width: 100%;
    margin-top: 120px;
    margin-left: 30px;
    margin-right: 30px;
    display: flex;
    align-items: center;
}
.right{
    box-sizing: border-box;
    width: 500px;
}
.right-text{
    color: white;
    margin-top: 20px;
    padding-right: 20px;
    text-align: right;
}
.right h2{
    color: white;
    text-align: right;
    padding-right: 20px;
}
.right-text-wrapper{
    border-right: solid 10px var(--link-color);
}
.right-wrapper img{
    width: 400px;
    height: 100%;
    margin-right: 150px;
    margin-left: 15%;
}

#alat-zadnji{
    margin-bottom: 100px;
}


footer {
    background-color: var(--nav-color);
    color: #ffffff;
    padding: 20px;
    padding-top: 40px;
    text-align: center;
    width: 100%;
    margin-top: 10px;
}
  
  
footer a {
    color: #66ccff; 
    text-decoration: none;
}
  
footer a:hover {
    text-decoration: underline;
}